setlocal

set PROGRAMID=Stagsi
set PROGRAMTITLE=Stagsi

if "%1" == "/1" goto :1

Sup /pipe - "%~dpf0" /1

exit /b 0

:1
set SENDTO=%APPDATA%\Microsoft\Windows\SendTo
rem If changed, update file names in uninstall's post\extra.bat.
"%~dp0Supper" shortcut "%SENDTO%\%PROGRAMTITLE% - import.lnk" "%CD%\%PROGRAMID%.exe" /arg /import
"%~dp0Supper" shortcut "%SENDTO%\%PROGRAMTITLE% - find by hash.lnk" "%CD%\%PROGRAMID%.exe" /arg /hash
exit /b
